GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
gdcm::network::ULConnectionInfo Class Reference

ULConnectionInfo this class contains all the information about a particular connection as established by the user. That is, it's: User Information Calling AE Title Called AE Title IP address/computer name IP Port A connection must be established with this information, that's subsequently placed into various primitives for actual communication. More...

`#include <gdcmULConnectionInfo.h>`

## Public Member Functions

| ULConnectionInfo ()
const char * | GetCalledAETitle () const
std::string | GetCalledComputerName () const
unsigned long | GetCalledIPAddress () const
int | GetCalledIPPort () const
const char * | GetCallingAETitle () const
unsigned long | GetMaxPDULength () const
UserInformation | GetUserInformation () const
bool | Initialize (UserInformation inUserInformation, const char inCalledAETitle[16], const char inCallingAETitle[16], unsigned long inCalledIPAddress, int inCalledIPPort, std::string inCalledComputerName)
void | SetMaxPDULength (unsigned long inMaxPDULength)

## Detailed Description

ULConnectionInfo this class contains all the information about a particular connection as established by the user. That is, it's: User Information Calling AE Title Called AE Title IP address/computer name IP Port A connection must be established with this information, that's subsequently placed into various primitives for actual communication.

## Constructor & Destructor Documentation

gdcm::network::ULConnectionInfo::ULConnectionInfo | ( |  | ) |

## Member Function Documentation

const char* gdcm::network::ULConnectionInfo::GetCalledAETitle | ( |  | ) | const

std::string gdcm::network::ULConnectionInfo::GetCalledComputerName | ( |  | ) | const

unsigned long gdcm::network::ULConnectionInfo::GetCalledIPAddress | ( |  | ) | const

int gdcm::network::ULConnectionInfo::GetCalledIPPort | ( |  | ) | const

const char* gdcm::network::ULConnectionInfo::GetCallingAETitle | ( |  | ) | const

unsigned long gdcm::network::ULConnectionInfo::GetMaxPDULength | ( |  | ) | const

UserInformation gdcm::network::ULConnectionInfo::GetUserInformation | ( |  | ) | const

bool gdcm::network::ULConnectionInfo::Initialize | ( | UserInformation | inUserInformation,
|  | const char | inCalledAETitle[16],
|  | const char | inCallingAETitle[16],
|  | unsigned long | inCalledIPAddress,
|  | int | inCalledIPPort,
|  | std::string | inCalledComputerName
| ) |  |

void gdcm::network::ULConnectionInfo::SetMaxPDULength | ( | unsigned long | inMaxPDULength | ) |

The documentation for this class was generated from the following file:

- gdcmULConnectionInfo.h